[blfs-support] Totem Fails to Configure

Bruce Dubbs bruce.dubbs at gmail.com
Sun Sep 29 09:15:33 PDT 2013


John Frankish wrote:
> Beyond Linux From Scratch - Version 2013-09-28 Chapter 31. GNOME
> Applications Totem-3.8.2
>
> Using:
>
> CFLAGS="-march=i486 -mtune=i686 -Os -pipe" CXXFLAGS="-march=i486
> -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti" ./configure
> --prefix=/usr/local --libexecdir=/usr/local/lib/totem
> --disable-static --disable-python --enable-nautilus
> --enable-browser-plugins
>
> Configure fails with: ... checking which plugins to compile...
> apple-trailers autoload-subtitles brasero-disc-recorder chapters
> dbusservice im-status gromit media-player-keys ontop opensubtitles
> properties pythonconsole recent rotation save-file samplepython
> sample-vala screensaver screenshot sidebar-test skipto grilo checking
> whether to compile the browser plugins... yes ./configure:
> ./configure.lineno: line 21899: syntax error: unexpected "("
> (expecting "fi")

Does it fail without CFLAGS?  How about without the switches 
--disable-python --enable-nautilus --enable-browser-plugins ?

I'm getting close to committing Totem-3.10.0, but there are several 
other Gnome packages that need to be updated to 3.10.0 first.

   -- Bruce



More information about the blfs-support mailing list